## visad.data
Interface FormProgressInformer

All Known Implementing Classes:
  LegacyTiffForm, LociForm

public interface FormProgressInformer

FormProgressInformer is the VisAD interface for checking the current operation's progress from a file form.

Method Summary
`double` `getPercentComplete()` Get the percentage complete of the form's current operation.

Method Detail

### getPercentComplete

    public double getPercentComplete()

  Get the percentage complete of the form's current operation.

  Returns:
    The percentage complete (0.0 - 100.0), or Double.NaN if no operation is currently taking place.